Issue 112516 - sw: crash with default tab distance of 0
Summary: sw: crash with default tab distance of 0
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: DEV300m83
Hardware: All Linux, all
: P2 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on: 112514
Blocks:
  Show dependency tree
 
Reported: 2010-06-18 15:31 UTC by caolanm
Modified: 2013-08-07 14:44 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
avoid divide by zero (559 bytes, patch)
2010-06-18 15:32 UTC, caolanm
no flags Details | Diff
example.docx (240.97 KB, application/octet-stream)
2010-06-18 15:33 UTC, caolanm
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2010-06-18 15:31:35 UTC
This .docx has a word/settings.xml with <w:defaultTabStop w:val="0"/>, i.e. 0
for default tab stop distance. That'll generally crash layout at some stage when
we divide by 0.

I'm not sure if we want to avoid crashing in the core with a minimum of at least
1, or block these from entering in the .docx import filters, e.g. in the .doc
filter we have an arbitrary minimum default tab stop width
Comment 1 caolanm 2010-06-18 15:32:12 UTC
Created attachment 70085 [details]
avoid divide by zero
Comment 2 caolanm 2010-06-18 15:33:24 UTC
Created attachment 70086 [details]
example.docx
Comment 3 andreas.martens 2010-06-23 08:25:07 UTC
ama->hbrinkm: Please have a look.
Comment 4 mst.ooo 2010-07-01 17:41:12 UTC
mine
Comment 5 mst.ooo 2010-07-01 17:42:37 UTC
fixed in cws sw33bf06:
http://hg.services.openoffice.org/hg/cws/sw33bf06/rev/9b44323f26b7
Comment 6 mst.ooo 2010-07-02 14:43:40 UTC
please verify
Comment 7 michael.ruess 2010-07-06 13:23:37 UTC
Verified in CWS sw33bf06.
Comment 8 caolanm 2010-08-03 12:43:08 UTC
seen in master, closing